

uniform sampler2D hi;
//uniform sampler2D tex2;
uniform float xinc, yinc;

void main() {
	vec2 tc = gl_TexCoord[0].xy;
	vec2 xd = xinc*.5, yd = yinc*.5;
	vec4 res =
		(texture2D(hi, tc-xd-yd)+
		texture2D(hi, tc+xd-yd)+
		texture2D(hi, tc-xd+yd)+
		texture2D(hi, tc+xd+yd))*.25;
/*	res.g += res.r/256.; res.r = frac(res.r);
	res.b += res.g/256.; res.g = frac(res.g);*/
	gl_FragColor = res;
}

